This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 43621 - NPE when creating Empty JUnit Test from wizard
Summary: NPE when creating Empty JUnit Test from wizard
Status: CLOSED FIXED
Alias: None
Product: java
Classification: Unclassified
Component: JUnit (show other bugs)
Version: 4.x
Hardware: PC Linux
: P2 blocker (vote)
Assignee: junit-issues@java
URL:
Keywords:
Depends on: 44506
Blocks:
  Show dependency tree
 
Reported: 2004-05-20 14:37 UTC by dmladek
Modified: 2006-03-24 10:31 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments
stacktrace of NPE (2.45 KB, text/plain)
2004-05-20 14:37 UTC, dmladek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dmladek 2004-05-20 14:37:06 UTC
Product Version       = NetBeans IDE Dev (Build
200405191800)
  Operating System      = Linux version
2.4.22-1.2115.nptl running on i386
  Java; VM; Vendor      = 1.4.2_04; Java
HotSpot(TM) Client VM 1.4.2_04-b05; Sun
Microsystems Inc.
  Java Home             =
/usr/local/java/j2sdk1.4.2_04/jre
  System Locale; Encod. = cs_CZ (nb); ISO-8859-2
  Home Dir; Current Dir = /usr/local/home/delphym;
/usr/local/forte/forte3/NBdev-last/netbeans/bin
-------------------------------------------------------------------------------

Create JUnit Test (Empty) using New From Template.
When I press Finish button, I've got NPE and
nothing is created. Thus I see it as P2 bug.
Comment 1 dmladek 2004-05-20 14:37:45 UTC
Created attachment 15033 [details]
stacktrace of NPE
Comment 2 Marian Petras 2004-06-15 16:05:52 UTC
Accepted.
Comment 3 Marian Petras 2004-06-15 19:05:08 UTC
fixed in the trunk (together with bugs #44202, #44051, #44318, #44320,
#44321)

changed files:

junit/src/org/netbeans/modules/junit/wizards/Bundle.properties   (1.3)
junit/src/org/netbeans/modules/junit/wizards/EmptyTestCaseWizardIterator.java
  (1.5)
junit/src/org/netbeans/modules/junit/wizards/EmptyTestStepLocation.java
  (1.4)
junit/src/org/netbeans/modules/junit/wizards/LocationPanel.java  
(deleted - last revision 1.3)
junit/src/org/netbeans/modules/junit/wizards/SimpleTestStepLocation.java
  (1.5)
junit/src/org/netbeans/modules/junit/wizards/StepProblemMessage.java 
 (1.1 - initial revision)
junit/src/org/netbeans/modules/junit/wizards/TestSuiteStepLocation.java
  (1.4)
junit/src/org/netbeans/modules/junit/wizards/TestSuiteWizardIterator.java
  (1.5)
junit/src/org/netbeans/modules/junit/wizards/Utils.java   (1.5)
Comment 4 dmladek 2004-06-16 11:03:02 UTC
OK in NetBeans IDE Dev (Build 200406151800)